statistics-0.10.3.1: A library of statistical types, data, and functions

Portability | portable
Stability | experimental
Maintainer | bos@serpentine.com
Safe Haskell | None

Statistics.Types

Description

Types for working with statistics.

Synopsis

- type Estimator = Sample -> Double
- type Sample = Vector Double
- type WeightedSample = Vector (Double, Double)
- type Weights = Vector Double

# Documentation

type Estimator = Sample -> Double

A function that estimates a property of a sample, such as its `mean`.

type Sample = Vector Double

Sample data.

type WeightedSample = Vector (Double, Double)

Sample with weights. First element of sample is data, second is weight

type Weights = Vector Double

Weights for affecting the importance of elements of a sample.